//        
//     http.www.designhelp.ru  info@designhelp.ru
//    Date http://developer.mozilla.org/en/docs/Core_JavaScript_1.5_Reference:Global_Objects:Date

var strtRulerUnits = app.preferences.rulerUnits;
var strtTypeUnits = app.preferences.typeUnits;
//    
app.preferences.rulerUnits = Units.CM;
//    
app.preferences.typeUnits = TypeUnits.POINTS;
app.displayDialogs = DialogModes.NO;

var docRef = app.activeDocument;
//    
var s = "Date Time"

//  
var now = new Date();

//   Year : Day : Month   Hours : Minutes : Seconds
var year = now.getFullYear();
var day = now.getDate();
var month = now.getMonth() + 1;
var hours = now.getHours();
var minutes = now.getMinutes();
var seconds = now.getSeconds();

//   :  6,  06,  ..
//     -  5   ,  
//  ,       //
if(day < 10){day = "0" + day}
if(month < 10){month= "0" + month}
if(hours < 10){hours= "0" + hours}
if(minutes < 10){minutes= "0" + minutes}
if(seconds < 10){seconds= "0" + seconds}

//  .      2004-05-23
var dd = "-"; // Date Delimiter,  
var td = " : "; // Time Delimiter,  

//       
var dt = year + dd + 
		 day + dd + 
		 month + " " + 
		 hours + td + 
		 minutes + td + 
		 seconds;

//  
var textColor = new SolidColor;
textColor.rgb.red = 255;
textColor.rgb.green = 80;
textColor.rgb.blue = 20;

//     ,    
//      
try {
	var newTextLayer = docRef.layers[s];
}
catch (e if e = 1302) {
	var newTextLayer = docRef.artLayers.add();
	newTextLayer.kind = LayerKind.TEXT;
	//     
	newTextLayer.textItem.position = Array(0.5, docRef.height-0.5);
	//    
	newTextLayer.textItem.size = 10;
	newTextLayer.textItem.color = textColor;
	//   -  postscript 
	newTextLayer.textItem.font = "Crystal";	
	//        
	newTextLayer.name = s;
}

//  
newTextLayer.textItem.contents = dt;

// 
app.preferences.rulerUnits = strtRulerUnits;
app.preferences.typeUnits = strtTypeUnits;
docRef = null;
textColor = null;
newTextLayer = null;

//      
function GetFullMonthEng(intMonth){
    var MonthArray = new Array("January", "February", "March",
                               "April", "May", "June",
                               "July", "August", "September",
                               "October", "November", "December") 
    return MonthArray[intMonth] 	  	 
    }

// 
function GetShortMonthEng(intMonth){
    var MonthArray = new Array("Jan", "Feb", "Mar",
                               "Apr", "May", "June",
                               "July", "Aug", "Sep",
                               "Oct", "Nov", "Dec") 
    return MonthArray[intMonth] 	  	 
    }
